=== doc/Makefile ===
MAIN=pkglab

$(MAIN).ps: $(MAIN).dvi
	dvips -o $@ $<

$(MAIN).dvi: $(MAIN).tex
	latex $<

$(MAIN).pdf: $(MAIN).tex
	pdflatex $<

$(MAIN).html: $(MAIN).tex
	hevea $<

clean:
	 -rm -f $(MAIN).{aux,log,dvi,ps,pdf,html,haux}

.phony: clean
