=== pkgdiff/Makefile ===
SRCS=	pkgdiff.ml
OBJS= $(SRCS:.ml=.cmo)
XBJS=	$(SRCS:.ml=.cmx)

PACKAGES=	dose2.rapids

OCAMLC=		ocamlfind ocamlc -package $(PACKAGES)
OCAMLOPT=	ocamlfind ocamlopt -package $(PACKAGES)

all: pkgdiff pkgdiff.opt

pkgdiff: $(OBJS)
	$(OCAMLC) -linkpkg -o $@ $^

pkgdiff.opt: $(XBJS)
	$(OCAMLOPT) -linkpkg -o $@ $^

install: pkgdiff pkgdiff.opt
	ln -s pkgdiff debcheck
	ln -s pkgdiff.opt debcheck.opt

%.cmo: %.ml
	$(OCAMLC) -o $@ -c $^

%.cmx: %.ml
	$(OCAMLOPT) -o $@ -c $^
