=== debian/changelog ===
pkglab (1.4.2-13build2) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:02:11 +0000

pkglab (1.4.2-13build1) quantal; urgency=low

  * No-change rebuild for librpm2 -> librpm3 transition.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 30 Jun 2012 22:46:01 +0400

pkglab (1.4.2-13) unstable; urgency=low

  [ Stéphane Glondu ]
  * add-sources.py: use debian module (from python-debian) instead of
    deprecated debian_bundle (Closes: #625475)

  [ Ralf Treinen ]
  * edos-distcheck: add dependency on ${python:Depends}
  * Fix a grammar error in the pkglab doc-base file
  * Standards-Version: 3.9.2 (no change)
  * Put changes to upstream files as quilt patches (closes: #643249)
  * Added debian/gbp.conf

 -- Ralf Treinen <treinen@debian.org>  Thu, 13 Oct 2011 18:30:03 +0200

pkglab (1.4.2-12) unstable; urgency=low

  * Downgrade priority to extra, since dose2 has priority extra now.
    Thanks to Luca Falavigna for the hint.
  * Migrate to source format 3.0.
  * edos-builddebcheck: read the binary package file directly using
    the "-I" option, instead of merging it with the source packages
    (closes: #582951). Thanks a lot to Andi Barth for the idea!
  * Fix a typo in the long description of edos-distcheck (closes: #603831).
  * Standards-Version: 3.9.1 (no change).
  * Migrate packaging from cdbs to dh.
  * Use dh_ocaml >= 0.9 to get dependencies on ocaml stuff
    (closes: #599298).

 -- Ralf Treinen <treinen@debian.org>  Sun, 13 Feb 2011 12:07:44 +0100

pkglab (1.4.2-11) unstable; urgency=low

  * Fix a bug in the handling of the options -base and -add-source
    reported by Andi Barth. These options are called "-i" and "-I" now,
    and documented in the manpage.
  * Removed Zack from uploaders on his request.

 -- Ralf Treinen <treinen@debian.org>  Mon, 24 May 2010 21:04:59 +0200

pkglab (1.4.2-10) experimental; urgency=low

  * Fix logic in add-sources.py (used by edos-builddebcheck): If one of
    the packages in a disjunction is build-essential then the whole
    disjunctive clause is discarded. Thanks to Zack for the patch!
    (closes: #574380).
  * Have edos-debcheck use (via add-sources.py) the config file
    /etc/edos-builddebcheck.conf. Install that config file, and put
    into /usr/share/edos-distcheck the script to generate it. Thanks
    to Zack for the patch! (closes: #574721).
  * Added debian/source/format, current format is 1.0 (in order to
    facilitate backports).
  * Explain handling of build-essential packages by edos-builddebcheck
    in its manpage; add an item about its configuration file in 
    edos-distcheck.NEWS.

 -- Ralf Treinen <treinen@debian.org>  Thu, 22 Apr 2010 09:04:13 +0200

pkglab (1.4.2-9) unstable; urgency=low

  * Fixed formatting in manpage (closes: #571742)
  * Standards-Version 3.8.4 (no change)
  * Escape some more hyphens in edos-debcheck manpage
  * Do not use asterisk to start an entry in edos-distcheck.NEWS
  * add-soucrces.py: Print correctly stanzas containing non-ascii
    characters (Patch provided by Zack - thanks!)
  * distcheck/common.ml: escape < and > in version numbers in order to
    produce valid xml output even when the Packages file contains rubbish
    version numbers.
  * debian/rules: add to clean target removals of some leftover files

 -- Ralf Treinen <treinen@debian.org>  Sun, 21 Mar 2010 12:36:53 +0100

pkglab (1.4.2-8) unstable; urgency=low

  * distcheck/common.ml: fixed function spec_string to print a 
    dash between upstream version and release (closes: #565324).

 -- Ralf Treinen <treinen@debian.org>  Fri, 15 Jan 2010 09:52:37 +0100

pkglab (1.4.2-7) unstable; urgency=low

  * Remove temporary file on exit (closes: #565152).

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Jan 2010 21:18:19 +0100

pkglab (1.4.2-6) unstable; urgency=low

  [ Ralf Treinen ]
  * add-sources.py: drop all relations to build-essential packages
  * Removed mention of the "-check" option, which is no longer supported,
    from the manpages (closes: #556876).
  * Strengthen dependency of edos-distcheck on python-debian to
    >= 0.1.11 (closes: #564958).
  * Fixed a spelling error in manapge of edos-debcheck
  * manpages: changed - to \- for command options.
  
  [ Stéphane Glondu ]
  * debian/control:
    - update my e-mail address and remove DMUA

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Jan 2010 20:15:35 +0100

pkglab (1.4.2-5) unstable; urgency=low

  * Standards-version 3.8.3 (no change)
  * Enforce dependency on version >= 1.4.2 of dose2 (which implements
    correctly the Breaks field), say in edos-debcheck man page that
    Breaks is treated like Conflicts.
  * Do not use xml entities when printing version constraints unless
    xml mode has been required (closes: #539211).
  * Packages to be checked can now be listed in the form "src:p",
    which will be expanded to the list of all packages that stem
    from source package p (closes:  #516587).
  * Fix add-sources.py to separate binary and source file by blank line
    (closes: #538925).
  * Fix add-sources.py to always copy the Architecture field from the
    source stanza into the generated binary package stanza since the
    Architecture is mandatory for binary packages (closes: #538926).
  * Edos-builddebcheck calls edos-debcheck with the -quiet option.
  * Edos-builddebcheck: adapt the translation of the explanation to the
    new format of explanations.

 -- Ralf Treinen <treinen@debian.org>  Fri, 21 Aug 2009 21:41:19 +0200

pkglab (1.4.2-4) unstable; urgency=low

  * debian/control:
    - add myself to Uploaders, and add DM-Upload-Allowed
    - remove dependency on non-existing package libledit-ocaml
      (Closes: #538208)
    - remove duplicate Section fields
  * debian/copyright: add full path to licenses

 -- Stephane Glondu <steph@glondu.net>  Fri, 24 Jul 2009 17:01:43 +0200

pkglab (1.4.2-3) unstable; urgency=low

  * Issue a warning in case a package is mentioned in the

