## pkglab 1.4.2-11+5.0trisquel1

=== debian/changelog ===
pkglab (1.4.2-11+5.0trisquel1) dagda; urgency=low

  * Pkglab compiled for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 09 Jan 2012 01:40:53 +0000
