=== debian/control ===
Source: pkglab
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders:
 Ralf Treinen <treinen@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 cdbs, debhelper (>= 7),
 ocaml-nox, ocaml-findlib, dh-ocaml,
 menhir,
 libdose2-ocaml-dev (>= 1.4.2),
 libledit-ocaml-dev,
 libzip-ocaml-dev,
 hevea
Standards-Version: 3.8.4
Homepage: http://sodiac.gforge.inria.fr/
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pkglab.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pkglab.git

Package: pkglab
Architecture: any
Depends:
 ${F:OCamlInterpDepends},
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: ceve
Description: interactive environment to explore package repositories
 Pkglab is an interactive, console-based environment to explore package
 repositories of package-based software distributions.
 .
 Using Pkglab package lists can be loaded and installability tests can
 be performed to check whether given package combinations are
 co-installable or not, according to inter-package relationships.

Package: edos-distcheck
Architecture: any
Depends:
 python-debian (>= 0.1.11), python, perl,
 ${F:OCamlInterpDepends},
 ${shlibs:Depends},
 ${misc:Depends}
Conflicts: edos-debcheck (<= 1.0-8), edos-rpmcheck (<= 1.0-8)
Replaces: edos-debcheck, edos-rpmcheck
Provides: edos-debcheck, edos-rpmcheck
Description: Checks whether dependencies of packages can be satisfied
 This software checks for every package of a distribution whether it
 is possible to satisfy its dependencies and conflicts within this
 distribution. It comes in several versions:
  - edos-debcheck for Debian packages
  - edos-rpmcheck for rpm packages
  - edos-pscheck for pkg_summary package descriptions
  - edos-builddebcheck for build-depenendencies of Debian packages.
