=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/ocaml.mk

PKGLAB_INST = $(CURDIR)/debian/pkglab
DISTCHECK_INST = $(CURDIR)/debian/edos-distcheck

ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
 DEB_MAKE_BUILD_TARGET = depend pkglab.opt
else
 DEB_MAKE_BUILD_TARGET = depend pkglab
 DEB_DH_GENCONTROL_ARGS += \
  -VF:OCamlInterpDepends="ocaml-base-nox-$(OCAML_ABI), libdose2-ocaml, libzip-ocaml"
 DEB_STRIP_EXCLUDE += usr/bin/pkglab
endif

build/pkglab::
	cd doc && make pkglab.html

build/edos-distcheck::
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	cd distcheck && make distcheck.opt
else
	cd distcheck && make distcheck
endif

install/edos-distcheck::
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	cp distcheck/distcheck.opt $(DISTCHECK_INST)/usr/lib/edos-distcheck/distcheck
else
	cp distcheck/distcheck $(DISTCHECK_INST)/usr/lib/edos-distcheck/distcheck
endif

clean::
	cd distcheck && rm -f common.cmi common.cmx common.o distcheck.opt
	cd doc && rm -rf pkglab.haux pkglab.html

DEB_MAKE_INSTALL_TARGET = \
 install DESTDIR=$(PKGLAB_INST)/usr MANDIR=$(PKGLAB_INST)/usr/share/man
