## pkglab 1.4.2-12+5.5trisquel1

=== debian/changelog ===
pkglab (1.4.2-12+5.5trisquel1) brigantia; urgency=low

  * Pkglab compiled for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 10 Jun 2012 14:31:27 +0000
