=== debian/control ===
--- 
+++ 
@@ -1,29 +1,25 @@
 Source: pkglab
 Section: devel
-Priority: optional
+Priority: extra
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders:
  Ralf Treinen <treinen@debian.org>,
  Stéphane Glondu <glondu@debian.org>
-Build-Depends:
- cdbs, debhelper (>= 7),
- ocaml-nox, ocaml-findlib, dh-ocaml,
+Build-Depends: debhelper (>= 7.0.50~),
+ ocaml-nox (>= 3.11.1-3~), ocaml-findlib, dh-ocaml (>= 0.9),
  menhir,
  libdose2-ocaml-dev (>= 1.4.2),
  libledit-ocaml-dev,
  libzip-ocaml-dev,
  hevea
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://sodiac.gforge.inria.fr/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pkglab.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pkglab.git
 
 Package: pkglab
 Architecture: any
-Depends:
- ${F:OCamlInterpDepends},
- ${shlibs:Depends},
- ${misc:Depends}
+Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: ceve
 Description: interactive environment to explore package repositories
  Pkglab is an interactive, console-based environment to explore package
@@ -35,11 +31,8 @@
 
 Package: edos-distcheck
 Architecture: any
-Depends:
+Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends},
  python-debian (>= 0.1.11), python, perl,
- ${F:OCamlInterpDepends},
- ${shlibs:Depends},
- ${misc:Depends}
 Conflicts: edos-debcheck (<= 1.0-8), edos-rpmcheck (<= 1.0-8)
 Replaces: edos-debcheck, edos-rpmcheck
 Provides: edos-debcheck, edos-rpmcheck
@@ -50,4 +43,4 @@
   - edos-debcheck for Debian packages
   - edos-rpmcheck for rpm packages
   - edos-pscheck for pkg_summary package descriptions
-  - edos-builddebcheck for build-depenendencies of Debian packages.
+  - edos-builddebcheck for build-dependencies of Debian packages.
