## pkglab 1.4.2-13build2+7.0trisquel1

=== distcheck/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 OBJS= $(SRCS:.ml=.cmo)
 XBJS=	$(SRCS:.ml=.cmx)
 
-PACKAGES=	dose2.packetology,dose2.rapids
+PACKAGES=	dose2.packetology,dose2.rapids,str
 
 OCAMLC=		ocamlfind ocamlc -package $(PACKAGES)
 OCAMLOPT=	ocamlfind ocamlopt -package $(PACKAGES)
@@ -37,7 +37,7 @@
 	cp pscheck.opt $(BINDIR)
 
 clean:
-	rm -f distcheck distcheck.opt *.o *.cmo *.cmx
+	rm -f distcheck distcheck.opt *.o *.cmo *.cmx *.cmi
 
 %.cmo: %.ml
 	$(OCAMLC) -o $@ -c $^
