=== .pc/various/distcheck/Makefile ===
include ../Makefile.config

SRCS=	common.ml
OBJS= $(SRCS:.ml=.cmo)
XBJS=	$(SRCS:.ml=.cmx)

PACKAGES=	dose2.packetology,dose2.rapids

OCAMLC=		ocamlfind ocamlc -package $(PACKAGES)
OCAMLOPT=	ocamlfind ocamlopt -package $(PACKAGES)

all: distcheck distcheck.opt

distcheck: $(OBJS)
	$(OCAMLC) -linkpkg -o $@ $^

distcheck.opt: $(XBJS)
	$(OCAMLOPT) -linkpkg -o $@ $^

.PHONY: install links
links: distcheck distcheck.opt
	ln -s distcheck debcheck
	ln -s distcheck.opt debcheck.opt
	ln -s distcheck rpmcheck
	ln -s distcheck.opt rpmcheck.opt
	ln -s distcheck pscheck
	ln -s distcheck.opt pscheck.opt

install: links
	cp distcheck $(BINDIR)
	cp distcheck.opt $(BINDIR)
	cp debcheck $(BINDIR)
	cp debcheck.opt $(BINDIR)
	cp rpmcheck $(BINDIR)
	cp rpmcheck.opt $(BINDIR)
	cp pscheck $(BINDIR)
	cp pscheck.opt $(BINDIR)

clean:
	rm -f distcheck distcheck.opt *.o *.cmo *.cmx *.cmi

%.cmo: %.ml
	$(OCAMLC) -o $@ -c $^

%.cmx: %.ml
	$(OCAMLOPT) -o $@ -c $^
