=== debian/changelog ===
pkglab (1.4.2-13build2+7.0trisquel1) belenos; urgency=medium

  * Pkglab compiled for trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 23 Nov 2014 19:25:42 +0100
