=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libledit-ocaml-dev,
  libzip-ocaml-dev,
  hevea
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://sodiac.gforge.inria.fr/
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/pkglab.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/pkglab.git
@@ -32,7 +32,7 @@
 Package: edos-distcheck
 Architecture: any
 Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends},
- python-debian (>= 0.1.11), python, perl,
+ ${python:Depends}, python-debian (>= 0.1.15~), python, perl,
 Conflicts: edos-debcheck (<= 1.0-8), edos-rpmcheck (<= 1.0-8)
 Replaces: edos-debcheck, edos-rpmcheck
 Provides: edos-debcheck, edos-rpmcheck
